import java.applet.*;

public class Identify extends Applet
{
    public void init()
    {
	NumberSum sum = new NumberSum();
	sum.add(-8);
	sum.add((float) 20.25);
	sum.add((double) 3.125);
	sum.add(new Integer(-3));
	sum.add(new Float(11.75));
	sum.add(new Double(1.5));
	double total = sum.getSum();
	System.out.println(total);
    }
    /**
     * Called to start the applet.  You never need to call this directly; it
     * is called when the applet's document is visited.
     */
    public void start() {
    }

    /**
     * Called to stop the applet.  This is called when the applet's document is
     * no longer on the screen.  It is guaranteed to be called before destroy()
     * is called.  You never need to call this method directly
     */
    public void stop() {
    }

    /**
     * Cleans up whatever resources are being held.  If the applet is active
     * it is stopped.
     */
    public void destroy() {
    }
}

